import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'max_yandex_adapter_platform_interface.dart';

/// An implementation of [MaxYandexAdapterPlatform] that uses method channels.
class MethodChannelMaxYandexAdapter extends MaxYandexAdapterPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('max_yandex_adapter');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
